import chronoptics.tof as tof


def main(serial: str, ip: tof.PersistentIp):
    cam = tof.GigeInterface()
    cam.connect(cam.find(serial))

    if not cam.persistentIpCapable():
        print("Camera does not support persistent ip")
        return

    cam.setPersistentIp(ip)


if __name__ == "__main__":
    ip = tof.PersistentIp("192.168.1.25", "255.255.255.0", "192.168.1.1", True)
    main("202001a", ip)
